#include "eval_const.h"

eval_const::eval_const(const expression &expr): eval_op(expr) {
    auto params = expr.get_op_param_tensor("value");
    value_ = params;
    // value_.print(); // uncomment for viewing logging details of tensor object

}

void eval_const::eval(vars_type &variables, const kwargs_type &kwargs) {
    variables[expr_id_] = value_;
    // value_.print(); // uncomment for viewing logging details of tensor object
}

std::shared_ptr<eval_op> eval_const::clone(const expression &expr) {
    return std::make_shared<eval_const>(expr);
}